classification
Title: PyErr_SetFromWindowsErrWithFilenameObject() doesn't exist: remove it from pyerrors.h
Type: Stage: resolved
Components: Interpreter Core, Unicode Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: loewis, mhammond, python-dev, vstinner
Priority: normal Keywords: easy, patch

Created on 2011-02-14 10:15 by vstinner, last changed 2011-03-21 00:59 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
pyerrors_h.patch vstinner, 2011-02-14 10:15
Messages (2)
msg128536 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-02-14 10:15
PyAPI_FUNC(PyObject *) PyErr_SetFromWindowsErrWithFilenameObject(int, const char *); has a strange prototype: "FilenameObject" usually indicates a PyObject* argument, not a char* argument. The function doesn't exist in Python/errors.c, but there is a PyErr_SetExcFromWindowsErrWithFilenameObject() function.

PyErr_SetFromWindowsErrWithFilenameObject() was introduced in pyerrors.h by r28999 (8 years ago), but I am unable to find any concrete implementation.


Attached patch removes PyErr_SetFromWindowsErrWithFilenameObject() from pyerrors.h.
msg131589 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-21 00:59
New changeset c0829c4e19cf by Victor Stinner in branch 'default':
Closes #11210: Remove PyErr_SetFromWindowsErrWithFilenameObject() of pyerrors.h
http://hg.python.org/cpython/rev/c0829c4e19cf
History
Date User Action Args
2011-03-21 00:59:07python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg131589

resolution: fixed
stage: resolved
2011-02-15 12:00:37pitrousetnosy: + loewis, mhammond
2011-02-14 10:15:20vstinnercreate